VIRTUAL CREDIT CARD - Bug #15249

Android [TREATS] [Treats Points] The quantity is not reflected correctly in Add to Cart screen (the
screen with Cart button at bottom) based on what have user edit earlier in Cart screen (the screen
with Redeem button at bottom)

18 December 2022 09:47 AM - hsulynn pang

Status: Closed Start date: 18 December 2022
Priority: Normal Due date:

Assignee: hsulynn pang % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

user profile: ntbsec03

steps:

1) login

2) swipe to the right for Kartu Kredit

3) select the credit card for TREATS

4) at the Customer Transaction History screen, click My TREATS

) at the My TREATS Rewards screen, click Redeem Reward TREATS

) click Points tab

) at the Points tab, click Tambah button with adding product

) add another Points product by clicking Tambah button

) click Add to Cart button

0) verify the cart screen (the screen that have Redeem button at bottom)
1) tick the checkbox, and click edit the quantity for any product

2) click back button
2)
12) verify the quantity of product in Add to Cart screen
Actual result: The quantity is not reflected correctly in Add to Cart screen (the screen with Cart button at bottom)
Expected result: The quantity is reflected correctly

History

#1 - 18 December 2022 12:05 PM - Septi Gizka Tiara

- Status changed from New to In Progress

#2 - 18 December 2022 12:17 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

commit :
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/ git/Android_DigitalAcceleration/commit/655e0bb4d227d8c9cd8e02f6b7¢91091fed04
d5d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#3 - 18 December 2022 04:26 PM - hsulynn pang

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#4 - 18 December 2022 04:33 PM - hsulynn pang
- Status changed from Resolved to Assigned

- Assignee changed from hsulynn pang to Septi Gizka Tiara

the issue still exist and another ticket raised here

https://dev.silverlakemobility.com/redmine/issues/15261
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/655e0bb4d227d8c9cd8e02f6b7c91091fed04d5d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/655e0bb4d227d8c9cd8e02f6b7c91091fed04d5d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://dev.silverlakemobility.com/redmine/issues/15261

#5 - 19 December 2022 07:25 PM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#6 - 19 December 2022 10:42 PM - hsulynn pang
- File retest (1).mp4 added

- Status changed from Assigned to Closed

tested ok

Files

WhatsApp Video 2022-12-18 at 09.38.30.mp4 2.82 MB 18 December 2022 hsulynn pang
retest (1).mp4 2.4 MB 19 December 2022 hsulynn pang
